commit:     24436f042e5c3da0ef4148ecddd98a19f8162980
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 16 20:55:11 2015 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Jul 16 20:55:11 2015 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=24436f04

net-libs/miniupnpc: depend on sys-libs/queue if elibc_musl.

Package-Manager: portage-2.2.18
RepoMan-Options: --force
Manifest-Sign-Key: 0xF52D4BBA

 net-libs/miniupnpc/Manifest                 |  3 ++
 net-libs/miniupnpc/metadata.xml             | 13 ++++++++
 net-libs/miniupnpc/miniupnpc-1.8-r99.ebuild | 51 +++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+)

diff --git a/net-libs/miniupnpc/Manifest b/net-libs/miniupnpc/Manifest
new file mode 100644
index 0000000..05fbea0
--- /dev/null
+++ b/net-libs/miniupnpc/Manifest
@@ -0,0 +1,3 @@
+DIST miniupnpc-1.8.tar.gz 70624 SHA256 
bc5f73c7b0056252c1888a80e6075787a1e1e9112b808f863a245483ff79859c SHA512 
8eedac9ad473fc952ca8896fe534d6da6b1b234e8b6f35f721394d4c71aca84ed287ca6c4f0455b50d97a45e4cd34e27d99a6813386e0864781364aa607e13d4
 WHIRLPOOL 
5b76ccbb5ed7daa9bb0d481b424b7c31a5f6dc85c5c812ba10175a29aefc0d3924f3db2aa8c3529d1241be59d67d1d4c702d27aad2de8c8a07fecf3857d73169
+EBUILD miniupnpc-1.8-r99.ebuild 1201 SHA256 
2af96cbf410dadc35a1b0e5c2804a09da3ed5d6a837dcc3925d381316c923604 SHA512 
f36a7fb1d5724fda4a62df2c64ea116fc6c63693ca1311ab18399e1b5f9b9c31c794df8bc07193593218be056b6510f06889d14121936488c95079594d26aeec
 WHIRLPOOL 
48bd51a1aeae6c65fd61550f0a451cf4d88a59234fda98eda76f4632ce9e21bd6ebf85a416b255f6b2f48040d447f707f03470b8de82b961418fa931da5f7f5f
+MISC metadata.xml 338 SHA256 
3de89305fee04e6757c25966f3edb3ed3a5c1d19ff8f95452286cee3fa8a9b51 SHA512 
2acb780e7cdbbcb8e7c6d6ca4573adaa015cd5ba00dbbcae0b40c46517f6b7c1c7e1b72c3f5b7514308a47bbbd3af59bb853ecaac1c0319913daa401a7f078e2
 WHIRLPOOL 
5c25922c90a8d9393a23c131889ce7fd5b0fdf03a7968e225e05c11466ca2d8fabcad6f055423d9225798393a9b315c84838e83770ed59b3d9d89b7f761c5f80

diff --git a/net-libs/miniupnpc/metadata.xml b/net-libs/miniupnpc/metadata.xml
new file mode 100644
index 0000000..f38aad4
--- /dev/null
+++ b/net-libs/miniupnpc/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>proxy-maintainers</herd>
+<maintainer>
+       <email>[email protected]</email>
+       <name>Michał Górny</name>
+</maintainer>
+<maintainer>
+       <email>[email protected]</email>
+       <name>Nikoli</name>
+</maintainer>
+</pkgmetadata>

diff --git a/net-libs/miniupnpc/miniupnpc-1.8-r99.ebuild 
b/net-libs/miniupnpc/miniupnpc-1.8-r99.ebuild
new file mode 100644
index 0000000..0e30464
--- /dev/null
+++ b/net-libs/miniupnpc/miniupnpc-1.8-r99.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/miniupnpc/miniupnpc-1.8.ebuild,v 
1.10 2014/05/02 12:53:17 jer Exp $
+
+EAPI=5
+
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="UPnP client library and a simple UPnP client"
+HOMEPAGE="http://miniupnp.free.fr/";
+SRC_URI="http://miniupnp.free.fr/files/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 arm ~mips ppc x86"
+IUSE="kernel_linux static-libs"
+
+# Tests hang trying to kill server, bug #409349
+RESTRICT="test"
+
+RDEPEND=""
+DEPEND="kernel_linux? ( sys-apps/lsb-release sys-apps/which )
+       elibc_musl? ( sys-libs/queue )"
+
+src_prepare() {
+       epatch_user
+
+       if ! use static-libs; then
+               sed -i \
+                       -e '/FILESTOINSTALL =/s/ $(LIBRARY)//' \
+                       -e '/$(INSTALL) -m 644 $(LIBRARY) $(INSTALLDIRLIB)/d' \
+                       Makefile || die
+       fi
+}
+
+# Upstream cmake causes more trouble than it fixes,
+# so we'll just stay with the Makefile for now.
+
+src_compile() {
+       tc-export CC AR
+       emake upnpc-shared $(use static-libs && echo upnpc-static)
+}
+
+src_install() {
+       emake \
+               PREFIX="${D}" \
+               INSTALLDIRLIB="${D}usr/$(get_libdir)" \
+               install
+
+       dodoc README Changelog.txt
+}

Reply via email to